
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ASPECT_PRINTXML_H
#define ASPECT_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/seglocPrintXML.h"

#include "server/sickPrintXML.h"

#include "server/pomPrintXML.h"


#include "aspectPosterLib.h"

/* Prototypes */
extern void printXML_struct_ASPECT_LASERECHOS_POSTER_STR ( FILE *out, char *name,
     struct ASPECT_LASERECHOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_POLARASPECT_POSTER_STR ( FILE *out, char *name,
     struct ASPECT_POLARASPECT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_CARTESIANASPECT_POSTER_STR ( FILE *out, char *name,
     struct ASPECT_CARTESIANASPECT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_STR ( FILE *out, char *name,
     struct ASPECT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_EXPORT_LASER ( FILE *out, char *name,
     struct ASPECT_EXPORT_LASER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_INPUT_MAP_SEGS ( FILE *out, char *name,
     struct ASPECT_INPUT_MAP_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_INPUTS_POSTER ( FILE *out, char *name,
     struct ASPECT_INPUTS_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_INPUT_FROM ( FILE *out, char *name,
     struct ASPECT_INPUT_FROM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_INPUT_SOURCE ( FILE *out, char *name,
     struct ASPECT_INPUT_SOURCE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_ASPECT_INPUT_SOURCE_TYPE ( FILE *out, char *name,
     enum ASPECT_INPUT_SOURCE_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_STRING ( FILE *out, char *name,
     struct ASPECT_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_VIEW_PARAMETERS ( FILE *out, char *name,
     struct ASPECT_VIEW_PARAMETERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_CONFIG ( FILE *out, char *name,
     struct ASPECT_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_SEGS_TYPE ( FILE *out, char *name,
     struct ASPECT_SEGS_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_ASPECT_SEG_TYPE ( FILE *out, char *name,
     enum ASPECT_SEG_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_POLAR_SEGS ( FILE *out, char *name,
     struct ASPECT_POLAR_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_INPUT_MAP_HEADER ( FILE *out, char *name,
     struct ASPECT_INPUT_MAP_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_SEG ( FILE *out, char *name,
     struct ASPECT_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_ASPECT_POLAR_SEG ( FILE *out, char *name,
     struct ASPECT_POLAR_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_ASPECT_BOOL ( FILE *out, char *name,
     enum ASPECT_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_ASPECT_BOOL ( FILE *out, char *name,
     ASPECT_BOOL *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_POLAR_SEG ( FILE *out, char *name,
     ASPECT_POLAR_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_SEG ( FILE *out, char *name,
     ASPECT_SEG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUT_MAP_HEADER ( FILE *out, char *name,
     ASPECT_INPUT_MAP_HEADER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_POLAR_SEGS ( FILE *out, char *name,
     ASPECT_POLAR_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_SEG_TYPE ( FILE *out, char *name,
     ASPECT_SEG_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_SEGS_TYPE ( FILE *out, char *name,
     ASPECT_SEGS_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_CONFIG ( FILE *out, char *name,
     ASPECT_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_VIEW_PARAMETERS ( FILE *out, char *name,
     ASPECT_VIEW_PARAMETERS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_STRING ( FILE *out, char *name,
     ASPECT_STRING *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUT_SOURCE_TYPE ( FILE *out, char *name,
     ASPECT_INPUT_SOURCE_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUT_SOURCE ( FILE *out, char *name,
     ASPECT_INPUT_SOURCE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUT_FROM ( FILE *out, char *name,
     ASPECT_INPUT_FROM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUTS_POSTER ( FILE *out, char *name,
     ASPECT_INPUTS_POSTER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_INPUT_MAP_SEGS ( FILE *out, char *name,
     ASPECT_INPUT_MAP_SEGS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_EXPORT_LASER ( FILE *out, char *name,
     ASPECT_EXPORT_LASER *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_STR ( FILE *out, char *name,
     ASPECT_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_CARTESIANASPECT_POSTER_STR ( FILE *out, char *name,
     ASPECT_CARTESIANASPECT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_POLARASPECT_POSTER_STR ( FILE *out, char *name,
     ASPECT_POLARASPECT_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_ASPECT_LASERECHOS_POSTER_STR ( FILE *out, char *name,
     ASPECT_LASERECHOS_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* ASPECT_PRINT_XML_H */

