
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ASPECT_SCAN_H
#define ASPECT_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/seglocTclservClientDecode.h"

#include "server/tclservClient/sickTclservClientDecode.h"

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/aspectPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_ASPECT_LASERECHOS_POSTER_STR (char** buf, struct ASPECT_LASERECHOS_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_POLARASPECT_POSTER_STR (char** buf, struct ASPECT_POLARASPECT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_CARTESIANASPECT_POSTER_STR (char** buf, struct ASPECT_CARTESIANASPECT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_STR (char** buf, struct ASPECT_STR *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_EXPORT_LASER (char** buf, struct ASPECT_EXPORT_LASER *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_INPUT_MAP_SEGS (char** buf, struct ASPECT_INPUT_MAP_SEGS *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_INPUTS_POSTER (char** buf, struct ASPECT_INPUTS_POSTER *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_INPUT_FROM (char** buf, struct ASPECT_INPUT_FROM *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_INPUT_SOURCE (char** buf, struct ASPECT_INPUT_SOURCE *x, int nDim, int *dims );
int scan_buf_enum_ASPECT_INPUT_SOURCE_TYPE (char** buf, enum ASPECT_INPUT_SOURCE_TYPE *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_STRING (char** buf, struct ASPECT_STRING *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_VIEW_PARAMETERS (char** buf, struct ASPECT_VIEW_PARAMETERS *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_CONFIG (char** buf, struct ASPECT_CONFIG *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_SEGS_TYPE (char** buf, struct ASPECT_SEGS_TYPE *x, int nDim, int *dims );
int scan_buf_enum_ASPECT_SEG_TYPE (char** buf, enum ASPECT_SEG_TYPE *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_POLAR_SEGS (char** buf, struct ASPECT_POLAR_SEGS *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_INPUT_MAP_HEADER (char** buf, struct ASPECT_INPUT_MAP_HEADER *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_SEG (char** buf, struct ASPECT_SEG *x, int nDim, int *dims );
int scan_buf_struct_ASPECT_POLAR_SEG (char** buf, struct ASPECT_POLAR_SEG *x, int nDim, int *dims );
int scan_buf_enum_ASPECT_BOOL (char** buf, enum ASPECT_BOOL *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_ASPECT_BOOL (char** buf, ASPECT_BOOL *x, int nDim, int *dims );
int scan_buf_ASPECT_POLAR_SEG (char** buf, ASPECT_POLAR_SEG *x, int nDim, int *dims );
int scan_buf_ASPECT_SEG (char** buf, ASPECT_SEG *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUT_MAP_HEADER (char** buf, ASPECT_INPUT_MAP_HEADER *x, int nDim, int *dims );
int scan_buf_ASPECT_POLAR_SEGS (char** buf, ASPECT_POLAR_SEGS *x, int nDim, int *dims );
int scan_buf_ASPECT_SEG_TYPE (char** buf, ASPECT_SEG_TYPE *x, int nDim, int *dims );
int scan_buf_ASPECT_SEGS_TYPE (char** buf, ASPECT_SEGS_TYPE *x, int nDim, int *dims );
int scan_buf_ASPECT_CONFIG (char** buf, ASPECT_CONFIG *x, int nDim, int *dims );
int scan_buf_ASPECT_VIEW_PARAMETERS (char** buf, ASPECT_VIEW_PARAMETERS *x, int nDim, int *dims );
int scan_buf_ASPECT_STRING (char** buf, ASPECT_STRING *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUT_SOURCE_TYPE (char** buf, ASPECT_INPUT_SOURCE_TYPE *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUT_SOURCE (char** buf, ASPECT_INPUT_SOURCE *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUT_FROM (char** buf, ASPECT_INPUT_FROM *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUTS_POSTER (char** buf, ASPECT_INPUTS_POSTER *x, int nDim, int *dims );
int scan_buf_ASPECT_INPUT_MAP_SEGS (char** buf, ASPECT_INPUT_MAP_SEGS *x, int nDim, int *dims );
int scan_buf_ASPECT_EXPORT_LASER (char** buf, ASPECT_EXPORT_LASER *x, int nDim, int *dims );
int scan_buf_ASPECT_STR (char** buf, ASPECT_STR *x, int nDim, int *dims );
int scan_buf_ASPECT_CARTESIANASPECT_POSTER_STR (char** buf, ASPECT_CARTESIANASPECT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ASPECT_POLARASPECT_POSTER_STR (char** buf, ASPECT_POLARASPECT_POSTER_STR *x, int nDim, int *dims );
int scan_buf_ASPECT_LASERECHOS_POSTER_STR (char** buf, ASPECT_LASERECHOS_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* ASPECT_SCAN_H */

