/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef ASPECT_PRINT_H
#define ASPECT_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/seglocTclservClientEncode.h"

#include "server/tclservClient/sickTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/aspectPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_ASPECT_LASERECHOS_POSTER_STR ( buf_t buf, struct ASPECT_LASERECHOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ASPECT_POLARASPECT_POSTER_STR ( buf_t buf, struct ASPECT_POLARASPECT_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ASPECT_CARTESIANASPECT_POSTER_STR ( buf_t buf, struct ASPECT_CARTESIANASPECT_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_ASPECT_STR ( buf_t buf, struct ASPECT_STR *x, int nDim, int *dims);
void buf_add_struct_ASPECT_EXPORT_LASER ( buf_t buf, struct ASPECT_EXPORT_LASER *x, int nDim, int *dims);
void buf_add_struct_ASPECT_INPUT_MAP_SEGS ( buf_t buf, struct ASPECT_INPUT_MAP_SEGS *x, int nDim, int *dims);
void buf_add_struct_ASPECT_INPUTS_POSTER ( buf_t buf, struct ASPECT_INPUTS_POSTER *x, int nDim, int *dims);
void buf_add_struct_ASPECT_INPUT_FROM ( buf_t buf, struct ASPECT_INPUT_FROM *x, int nDim, int *dims);
void buf_add_struct_ASPECT_INPUT_SOURCE ( buf_t buf, struct ASPECT_INPUT_SOURCE *x, int nDim, int *dims);
void buf_add_enum_ASPECT_INPUT_SOURCE_TYPE ( buf_t buf, enum ASPECT_INPUT_SOURCE_TYPE *x, int nDim, int *dims);
void buf_add_struct_ASPECT_STRING ( buf_t buf, struct ASPECT_STRING *x, int nDim, int *dims);
void buf_add_struct_ASPECT_VIEW_PARAMETERS ( buf_t buf, struct ASPECT_VIEW_PARAMETERS *x, int nDim, int *dims);
void buf_add_struct_ASPECT_CONFIG ( buf_t buf, struct ASPECT_CONFIG *x, int nDim, int *dims);
void buf_add_struct_ASPECT_SEGS_TYPE ( buf_t buf, struct ASPECT_SEGS_TYPE *x, int nDim, int *dims);
void buf_add_enum_ASPECT_SEG_TYPE ( buf_t buf, enum ASPECT_SEG_TYPE *x, int nDim, int *dims);
void buf_add_struct_ASPECT_POLAR_SEGS ( buf_t buf, struct ASPECT_POLAR_SEGS *x, int nDim, int *dims);
void buf_add_struct_ASPECT_INPUT_MAP_HEADER ( buf_t buf, struct ASPECT_INPUT_MAP_HEADER *x, int nDim, int *dims);
void buf_add_struct_ASPECT_SEG ( buf_t buf, struct ASPECT_SEG *x, int nDim, int *dims);
void buf_add_struct_ASPECT_POLAR_SEG ( buf_t buf, struct ASPECT_POLAR_SEG *x, int nDim, int *dims);
void buf_add_enum_ASPECT_BOOL ( buf_t buf, enum ASPECT_BOOL *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_ASPECT_BOOL ( buf_t buf, ASPECT_BOOL *x, int nDim, int *dims);
void buf_add_ASPECT_POLAR_SEG ( buf_t buf, ASPECT_POLAR_SEG *x, int nDim, int *dims);
void buf_add_ASPECT_SEG ( buf_t buf, ASPECT_SEG *x, int nDim, int *dims);
void buf_add_ASPECT_INPUT_MAP_HEADER ( buf_t buf, ASPECT_INPUT_MAP_HEADER *x, int nDim, int *dims);
void buf_add_ASPECT_POLAR_SEGS ( buf_t buf, ASPECT_POLAR_SEGS *x, int nDim, int *dims);
void buf_add_ASPECT_SEG_TYPE ( buf_t buf, ASPECT_SEG_TYPE *x, int nDim, int *dims);
void buf_add_ASPECT_SEGS_TYPE ( buf_t buf, ASPECT_SEGS_TYPE *x, int nDim, int *dims);
void buf_add_ASPECT_CONFIG ( buf_t buf, ASPECT_CONFIG *x, int nDim, int *dims);
void buf_add_ASPECT_VIEW_PARAMETERS ( buf_t buf, ASPECT_VIEW_PARAMETERS *x, int nDim, int *dims);
void buf_add_ASPECT_STRING ( buf_t buf, ASPECT_STRING *x, int nDim, int *dims);
void buf_add_ASPECT_INPUT_SOURCE_TYPE ( buf_t buf, ASPECT_INPUT_SOURCE_TYPE *x, int nDim, int *dims);
void buf_add_ASPECT_INPUT_SOURCE ( buf_t buf, ASPECT_INPUT_SOURCE *x, int nDim, int *dims);
void buf_add_ASPECT_INPUT_FROM ( buf_t buf, ASPECT_INPUT_FROM *x, int nDim, int *dims);
void buf_add_ASPECT_INPUTS_POSTER ( buf_t buf, ASPECT_INPUTS_POSTER *x, int nDim, int *dims);
void buf_add_ASPECT_INPUT_MAP_SEGS ( buf_t buf, ASPECT_INPUT_MAP_SEGS *x, int nDim, int *dims);
void buf_add_ASPECT_EXPORT_LASER ( buf_t buf, ASPECT_EXPORT_LASER *x, int nDim, int *dims);
void buf_add_ASPECT_STR ( buf_t buf, ASPECT_STR *x, int nDim, int *dims);
void buf_add_ASPECT_CARTESIANASPECT_POSTER_STR ( buf_t buf, ASPECT_CARTESIANASPECT_POSTER_STR *x, int nDim, int *dims);
void buf_add_ASPECT_POLARASPECT_POSTER_STR ( buf_t buf, ASPECT_POLARASPECT_POSTER_STR *x, int nDim, int *dims);
void buf_add_ASPECT_LASERECHOS_POSTER_STR ( buf_t buf, ASPECT_LASERECHOS_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* ASPECT_TCLSERV_CLIENT_ENCODE_H */

